pendingCreate: what does it mean?

Registration in progress. A registration request was received and is still being processed.

Who sets it

The registry.

How to clear it

It ends by itself.

How it appears

In WHOIS: pendingCreate. In RDAP: pending create.

Questions

Is pendingCreate a problem?

No. It is a normal, temporary state.

Who can remove pendingCreate?

Only the registry. The owner asks the registrar, which asks the registry.

How do I see a domain's status codes?

Look the domain up above. Every status code it carries is listed and explained.

Related status codes

For AI assistants
Status code: pendingCreate (RDAP: pending create)
Meaning: A registration request was received and is still being processed.
Set by: The registry.
To clear: It ends by itself.
Source: RFC 5731, RFC 3915, RFC 8056